> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/citrix-cvad-on-prem.md).

# Citrix CVAD (オンプレミス)

Citrix CVADは、組織が所有するデータセンターまたはプライベートクラウドでホストされる仮想マシンを使用してオンプレミスで動作します。 これにより、企業は既存のインフラ投資を活用しながら、仮想デスクトップのコントロールを集中化することができます。 これは、VDI環境、データ、コンプライアンスを完全に管理しつつ、仮想デスクトップのプロビジョニングと管理における柔軟性を維持したい組織で一般的に使用されます。

{% stepper %}
{% step %}
**コネクタを設定**

NexthinkをCitrix CVADのAPIに接続し、セッションメタデータの受信を設定します。 この手順により、VDIエクスペリエンスモジュール内でのインサイトを豊かにするためにコンテクストデータが利用可能になります。

コネクタを設定するには、[Citrix Virtual Apps and Desktopsコネクタ](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-citrix-virtual-apps-and-desktops.md)に記載されている手順を実行します。
{% endstep %}

{% step %}
**仮想マシンにコレクターをインストールする**

{% hint style="warning" %}
**Citrix App Layering**を使用している場合、**Nexthink Collectorはプラットフォーム層またはゴールデンイメージ自体**にインストールし、**アプリ層**としてはインストールしないでください。 これにより、以下が確保されます。

* サービスが正しく登録されます。
* ドライバ及びスタートアップの動作が一貫します。
* テレメトリーに使用されるデバイスIDがデスクトップごとに維持されます。
  {% endhint %}

**手動または自動デプロイ**

* **共有VDI（Citrixマルチセッションホスト）**：Citrixプラットフォームで展開されたマルチセッションホストにCollectorをインストールします。 セッションホストがドメインに参加しており、適切なサイズでプロビジョニングされていることを確認してください。
* **個別VDI（Citrix XenDesktop - 永続的）**：プロビジョニング中または永続的デスクトップのオンボーディング中に標準エージェントとしてCollectorをインストールします。

両方のシナリオに対して、以下のドキュメントに記載されている手続きを実行してください。

1. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#configuring-collector-for-vms)
2. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installing-collector-on-vms)
3. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installingcollectoronwindows-deployingcollectorusingactivedirectorygrouppolicy-1)

**ゴールデンイメージベースのデプロイ**

プールされたVDI（Citrix XenDesktop - 非永続的）は、展開にゴールデンイメージを使用します。

以下のドキュメントに記載されている手続きを実行してください。

1. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#configuring-collector-for-vms)
2. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installing-collector-on-vms)
3. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installingcollectoronwindows-deployingcollectorwithinawindowsreferenceimage)
   {% endstep %}

{% step %}
**コネクタとコレクターをテスト**

**コネクタ**

デバイスとセッションデータが、コネクタの統合からの情報で豊かにされていることを、以下のフィールドを確認することで確認します。

* ディスクイメージ
* デスクトッププール
* 仮想化ホスト名
* 仮想化タイプ。

エンリッチメントをテストするために、以下のクエリを実行してVMにコレクターがインストールされていることとそのオペレーションを確認します。

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == citrix_cvad
| list name, hardware.type, virtualization.disk_image, virtualization.desktop_pool, virtualization.environment_name, virtualization.hypervisor_name, virtualization.hostname, virtualization.type, virtualization.last_update
| sort virtualization.last_update desc
```

{% endcode %}

クエリを実行する方法については、[Investigations](/platform/ja/user-guide/investigations.md)のドキュメントを参照してください。

**VM 上の Collector**

{% hint style="info" %}
必要に応じて、Nexthinkのサポートまたは担当者に連絡してください。
{% endhint %}

**共有VDI（Citrixマルチセッションホスト）**

以下のデータがNexthinkで表示されていることを確認してください。

* デバイスID
* ユーザー名
* セッションホスト名

これを確認するには、以下のクエリを実行します。

{% code lineNumbers="true" %}

```sql
vdi_sessions
| where device.virtualization.desktop_broker == citrix_cvad and vdi_session.virtualization_type == shared
| list vdi_session.name, user.name, device.name, vdi_session.hostname, desktop_pool, first_seen
| sort first_seen desc
```

{% endcode %}

**プールVDI（Citrix XenDesktop – 非永続的）**

展開後、インスタンスがレポートしていることを確認します。

* ユニークなデバイスID
* 正確なプール名
* 新しいブート時間

これを確認するには、次のクエリを実行します。

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == citrix_cvad and virtualization.type == pooled
| list name, virtualization.desktop_pool, boot.last_full_boot_time
| sort boot.last_full_boot_time desc
```

{% endcode %}

**パーソナルVDI（Citrix XenDesktop – 永続的）**

以下のコンスタントな報告を確認します。

* デバイスIDと割り当てられたユーザー
* 再起動とログオン間のシステムの稼働時間

クエリを実行することにより:

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == citrix_cvad and virtualization.type == personal
| with session.vdi_events during past 168h
| compute number_of_sessions = vdi_session.count(), time_since_session_last_seen = end_time.last().time_elapsed(), last_user = user.name.last()
| include device_performance.boots during past 168h
| compute number_of_restarts = number_of_boots.sum()
| include session.logins during past 168h
| compute time_since_last_login = time.last().time_elapsed(), number_of_logons = number_of_logins.sum()
| list name, last_user, number_of_sessions, time_since_session_last_seen, number_of_logons, time_since_last_login, number_of_restarts, boot.last_full_boot_time.time_elapsed(), last_seen.time_elapsed()
| sort time_since_session_last_seen desc
```

{% endcode %}
{% endstep %}

{% step %}
**クライアントデバイスにエンドポイントエージェントをインストール**

{% hint style="info" %}
クライアントOSがWindows 10以上であり、Citrix Workspaceアプリv2205以上を実行していることを確認してください。
{% endhint %}

動的仮想チャネル（DVC）を、[Citrix 仮想チャネル許可リストの設定](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/windows-collector-references/citrix-virtual-channel-allowlist-configuration.md) ドキュメントで説明されているように許可します。

**企業管理デバイスへの Collector のインストール**

組織によって中央管理されているクライアントデバイスの場合、適用可能なすべてのデバイスにコレクターを配布するために、優先するソフトウェア展開ツールを使用します。

[Collectorをインストールする](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector.md)に記載の手順を実行します。

{% hint style="info" %}
VDIクライアント拡張機能はコレクターに組み込まれており、個別にインストールする必要はありません。
{% endhint %}

**個人またはセルフ管理デバイスへの VDI Extension のインストール**

個人用または自己管理クライアントデバイスの場合、VDIクライアント拡張機能のインストールを可能にします。 この軽量エージェントは、完全なコレクター展開を必要とせずに、限定的ではありますが有用なクライアントサイドのメトリクスを提供します。

[Nexthink VDIクライアント拡張機能のインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/installing-the-nexthink-vdi-client-extension.md)のドキュメントに記載されている手順を実行します。
{% endstep %}

{% step %}
**クライアントデバイスをテスト**

**企業管理デバイス**

管理されたクライアントデバイスから起動されたセッションの場合、以下のフィールドの確認を実施します。

* ラウンドトリップ時間
* クライアントCPU使用率
* Wi-Fi信号強度
* リンク速度

ネットワークのRTTは、コレクターがVMにのみインストールされている場合でも利用可能ですが、完全なクライアントパフォーマンス情報を得るには、エンドポイントにコレクターをインストールする必要があります。 インストールをバリデートするため、セッションについてクライアントのメトリクスが報告されることを確認してください。

クライアントデバイスがデータを出力し、Nexthinkインスタンスにデータを報告している場合、その名称はデバイスビューへのリンクとして表示され、詳細な情報と活動をアクセスできます。

これを確認するには、以下のクエリを実行します。

{% code lineNumbers="true" %}

```sql
vdi_sessions
| with session.vdi_events during past 168h
| compute average_network_rtt = network_rtt.avg(), average_wifi_signal_strength = client.network.wifi_signal_strength.avg(), average_link_speed = client.network.wired_link_speed.avg(), average_client_cpu_usage = client.cpu.normalized_usage.avg(), last_client_plugin_version = client.plugin_version.last()
| list vdi_session.name, device.name, user.name, name, last_client.device.name, last_client_plugin_version, average_network_rtt, average_wifi_signal_strength, average_link_speed, average_client_cpu_usage
| sort last_seen desc
```

{% endcode %}

**パートナー管理デバイスまたは持ち込みデバイス（BYOD）**

外部で管理されているクライアントデバイスから起動されたセッションに対して、以下のフィールドへの可視性を確認します。

* ラウンドトリップ時間
* Wi-Fi信号強度
* リンク速度

ネットワークのRTTは、コレクターがVMにのみインストールされている場合でも利用可能ですが、完全なネットワークパフォーマンス情報を取得するには、クライアントデバイスにコレクターまたはVDIクライアント拡張機能がインストールされている必要があります。 インストールをバリデートするため、セッションについてネットワークのメトリクスが報告されることを確認してください。

VDIクライアント拡張機能がインストールされている場合、追加のデバイスデータはキャプチャされず、そのためクライアントデバイスにデバイスビューは提供されません。 この場合、クライアント関連のパフォーマンス情報はVDIセッション内でのみ報告されます。

これを確認するには、次のクエリを実行します。

{% code lineNumbers="true" %}

```sql
vdi_sessions
| with session.vdi_events during past 168h
| compute average_network_rtt = network_rtt.avg(), average_wifi_signal_strength = client.network.wifi_signal_strength.avg(), average_link_speed = client.network.wired_link_speed.avg(), average_client_cpu_usage = client.cpu.normalized_usage.avg(), last_client_plugin_version = client.plugin_version.last()
| list vdi_session.name, device.name, user.name, name, last_client.device.name, last_client_plugin_version, average_network_rtt, average_wifi_signal_strength, average_link_speed, average_client_cpu_usage
| sort last_seen desc
```

{% endcode %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/citrix-cvad-on-prem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
